# TextColor (SubServers.Host)

net.ME1312.SubServers.Host.Library

## Enum TextColor

- java.lang.Object
- - java.lang.Enum<TextColor>
  - - net.ME1312.SubServers.Host.Library.TextColor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextColor>

    public enum TextColor
    extends java.lang.Enum<TextColor>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AQUA`
`BLACK`
`BLUE`
`BOLD`
`DARK_AQUA`
`DARK_BLUE`
`DARK_GRAY`
`DARK_GREEN`
`DARK_PURPLE`
`DARK_RED`
`GOLD`
`GRAY`
`GREEN`
`ITALIC`
`LIGHT_PURPLE`
`MAGIC`
`RED`
`RESET`
`STRIKETHROUGH`
`UNDERLINE`
`WHITE`
`YELLOW`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static char` `getColorChar()`
`java.lang.String` `getValue()`
`static java.lang.String` `parseColor(char character, java.lang.String str)`
`static java.lang.String` `stripColor(java.lang.String str)`
`java.lang.String` `toString()`
`static TextColor` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextColor[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AQUA

    public static final TextColor AQUA

#### BLACK

    public static final TextColor BLACK

#### BLUE

    public static final TextColor BLUE

#### BOLD

    public static final TextColor BOLD

#### DARK_AQUA

    public static final TextColor DARK_AQUA

#### DARK_BLUE

    public static final TextColor DARK_BLUE

#### DARK_GRAY

    public static final TextColor DARK_GRAY

#### DARK_GREEN

    public static final TextColor DARK_GREEN

#### DARK_PURPLE

    public static final TextColor DARK_PURPLE

#### DARK_RED

    public static final TextColor DARK_RED

#### GOLD

    public static final TextColor GOLD

#### GRAY

    public static final TextColor GRAY

#### GREEN

    public static final TextColor GREEN

#### ITALIC

    public static final TextColor ITALIC

#### LIGHT_PURPLE

    public static final TextColor LIGHT_PURPLE

#### MAGIC

    public static final TextColor MAGIC

#### RED

    public static final TextColor RED

#### RESET

    public static final TextColor RESET

#### STRIKETHROUGH

    public static final TextColor STRIKETHROUGH

#### UNDERLINE

    public static final TextColor UNDERLINE

#### WHITE

    public static final TextColor WHITE

#### YELLOW

    public static final TextColor YELLOW

### Method Detail

#### values

    public static TextColor[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TextColor c : TextColor.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TextColor valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<TextColor>`

#### getValue

    public java.lang.String getValue()

#### getColorChar

    public static char getColorChar()

#### parseColor

    public static java.lang.String parseColor(char character,
                                              java.lang.String str)

#### stripColor

    public static java.lang.String stripColor(java.lang.String str)